Ask Your Question
1

ROS installation issue on ubuntu 14.04

asked 2018-07-30 18:14:46 -0600

knights gravatar image

updated 2018-07-31 02:44:39 -0600

Tom Moore gravatar image

Hi,

I am trying to install these modules on a fresh ubuntu 14.04 OS

"python-rosdep", 
"python-rosdistro", 
"python-rosdistro-modules", 
"python-catkin-pkg", 
"python-catkin-pkg-modules", 
"python-netifaces", 
"python-qt4", 
"python-qt4-dev", 
"python-pyside", 
"libapr1", 
"libaprutil1", 
"libzzip-0-13"

and I am getting the following error

'/usr/bin/apt-get -y -o \"Dpkg::Options::=--force-confdef\" -o \"Dpkg::Options::=--force-confold\"    install 'python-rosdep' 'python-rosdistro' 'python-rosdistro-modules' 'python-catkin-pkg' 'python-catkin-pkg-modules' 'python-netifaces' 'python-qt4-dev' 'python-pyside' 'libapr1' 'libaprutil1' 'libzzip-0-13' -o APT::Install-Recommends=no' failed: dpkg-deb: error: archive '/var/cache/apt/archives/python-catkin-pkg-modules_0.4.7-1_all.deb' has premature member 'control.tar.xz' before 'control.tar.gz', giving up\ndpkg: error processing archive /var/cache/apt/archives/python-catkin-pkg-modules_0.4.7-1_all.deb (--unpack):\n subprocess dpkg-deb
--control returned error exit status 2\ndpkg-deb: error: archive '/var/cache/apt/archives/python-catkin-pkg_0.4.7-100_all.deb' has premature member 'control.tar.xz' before 'control.tar.gz', giving up\ndpkg: error processing archive /var/cache/apt/archives/python-catkin-pkg_0.4.7-100_all.deb (--unpack):\n subprocess dpkg-deb
--control returned error exit status 2\nErrors were encountered while processing:\n /var/cache/apt/archives/python-catkin-pkg-modules_0.4.7-1_all.deb\n /var/cache/apt/archives/python-catkin-pkg_0.4.7-100_all.deb\nE: Sub-process /usr/bin/dpkg returned an error code (1)\n"
edit retag flag offensive close merge delete

Comments

Can you please update your question with the error again? Instead of using the " button though please use the 101010 because the " doesn't format terminal output (it's for quoting, not code/terminal output) and is very hard to read.

jayess gravatar imagejayess ( 2018-07-31 00:16:40 -0600 )edit

Also, how are you attempting to install these packages?

jayess gravatar imagejayess ( 2018-07-31 00:17:14 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
4

answered 2018-07-31 03:37:25 -0600

gvdhoorn gravatar image

You're running into ros-infrastructure/catkin_pkg#227 (duplicate with similar error message: ros-infrastructure/catkin_pkg#230).

From that issue: make sure to first update dpkg (sudo apt-get update && sudo apt-get install dpkg), as the original version of Ubuntu Trusty does not support LZMA archives in debian pkgs.

edit flag offensive delete link more

Comments

Hi there, Were you able to solve the issue of " unmet dependencies "

sibu gravatar imagesibu ( 2018-12-30 09:50:46 -0600 )edit

Can you please indicate the command here to install a specific module say "python-rosdistro" into ROS from a ubuntu terminal

sibu gravatar imagesibu ( 2018-12-31 01:19:29 -0600 )edit
1

Could I ask you to please not post multiple answers that aren't actually answers? Please use comments or post a new question.

gvdhoorn gravatar imagegvdhoorn ( 2018-12-31 03:04:33 -0600 )edit

As to your question: can you verify that you have an up-to-date dpkg? Because that is what is the issue that was resolved in this Q&A. Not the python-rosdistro version.

gvdhoorn gravatar imagegvdhoorn ( 2018-12-31 03:09:22 -0600 )edit

Yes i have done the dpkg update

sibu gravatar imagesibu ( 2018-12-31 03:36:09 -0600 )edit

Then this Q&A is most likely not the place to ask for more information.

gvdhoorn gravatar imagegvdhoorn ( 2018-12-31 03:40:53 -0600 )edit

Then where is the place ??

sibu gravatar imagesibu ( 2018-12-31 03:42:37 -0600 )edit
1

Search for previous Q&As about python-rosdistro and if nothing fits then post a new one.

gvdhoorn gravatar imagegvdhoorn ( 2018-12-31 03:44:15 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2018-07-30 18:14:46 -0600

Seen: 1,676 times

Last updated: Dec 31 '18